Cancel a subscription
curl --request POST \
--url https://app.papelship.com/api/v1/subscriptions/{id}/cancel \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--header 'x-store-hash: <api-key>' \
--data '
{
"at_period_end": true
}
'const options = {
method: 'POST',
headers: {
'x-api-key': '<api-key>',
'x-store-hash': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({at_period_end: true})
};
fetch('https://app.papelship.com/api/v1/subscriptions/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.papelship.com/api/v1/subscriptions/{id}/cancel"
payload = { "at_period_end": True }
headers = {
"x-api-key": "<api-key>",
"x-store-hash": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.papelship.com/api/v1/subscriptions/{id}/cancel",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'at_period_end' => true
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>",
"x-store-hash: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.papelship.com/api/v1/subscriptions/{id}/cancel"
payload := strings.NewReader("{\n \"at_period_end\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("x-store-hash", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"subscription": {
"id": 17,
"object": "subscription",
"status": "active",
"customer_email": "<string>",
"product": {
"id": "<string>",
"name": "<string>"
},
"initial_invoice_id": "<string>",
"billing_cycle": "daily",
"currency": "<string>",
"initial_price_cents": 123,
"recurring_price_cents": 123,
"trial_days": 123,
"trial_ends_at": "2026-10-04T12:00:00.000Z",
"current_period_start": "2026-10-04T12:00:00.000Z",
"current_period_end": "2026-10-04T12:00:00.000Z",
"next_billing_date": "2026-10-04T12:00:00.000Z",
"auto_renew": true,
"cancelled_at": "2026-10-04T12:00:00.000Z",
"created_at": "2026-10-04T12:00:00.000Z",
"updated_at": "2026-10-04T12:00:00.000Z",
"payments": [
{
"id": 123,
"invoice_id": "<string>",
"invoice_status": "<string>",
"amount_cents": 123,
"status": "pending",
"period_start": "2026-10-04T12:00:00.000Z",
"period_end": "2026-10-04T12:00:00.000Z",
"paid_at": "2026-10-04T12:00:00.000Z",
"created_at": "2026-10-04T12:00:00.000Z"
}
],
"auto_renewal": {
"id": 123,
"object": "auto_renewal",
"status": "active",
"provider": "whop",
"customer_email": "<string>",
"product": {
"id": "<string>",
"name": "<string>"
},
"origin_invoice_id": "<string>",
"last_invoice_id": "<string>",
"period_days": 30,
"price_cents": 123,
"currency": "<string>",
"discount_percent": 123,
"renewals_count": 123,
"current_period_end": "2026-10-04T12:00:00.000Z",
"cancelled_at": "2026-10-04T12:00:00.000Z",
"can_cancel": true,
"created_at": "2026-10-04T12:00:00.000Z"
}
}
}{
"success": false,
"code": "INVALID_API_KEY",
"error": "Invalid API Key",
"request_id": "req_7YbK2mQ9xP1cRt4v"
}{
"success": false,
"code": "INSUFFICIENT_SCOPE",
"error": "This API key needs the orders:write permission",
"request_id": "req_7YbK2mQ9xP1cRt4v"
}{
"success": false,
"code": "NOT_FOUND",
"error": "Invoice not found",
"request_id": "req_7YbK2mQ9xP1cRt4v"
}{
"success": false,
"code": "VALIDATION_FAILED",
"error": "customer_email must be a valid email address",
"request_id": "req_7YbK2mQ9xP1cRt4v"
}{
"success": false,
"code": "RATE_LIMITED",
"error": "Too many requests. The limit is 300 requests per minute per key.",
"request_id": "req_7YbK2mQ9xP1cRt4v"
}{
"success": false,
"code": "DELIVERY_FAILED",
"error": "The order was completed but delivery failed. Retry the call to deliver again.",
"request_id": "req_7YbK2mQ9xP1cRt4v"
}Subscriptions
Cancel a subscription
Stops renewal. No refund. With at_period_end (default) access continues until the period ends. Code: AUTO_RENEW_CANCEL_FAILED.
Permission: subscriptions:write
POST
/
subscriptions
/
{id}
/
cancel
Cancel a subscription
Authorizations
Your Store API key (pk_live_...). Create it in Developers › API keys.
The ID of the store the request is for. Shown in Developers › API keys.
Path Parameters
Subscription ID.
Example:
"17"
Body
application/json